package cybersecurity

import "encoding/base64"

// IsBase64 verifica si el string proporcionado es una cadena base64 valida (standard encoding).
func IsBase64(s string) bool {
	if len(s) == 0 {
		return false
	}
	_, err := base64.StdEncoding.DecodeString(s)
	return err == nil
}
